/* INDEX PAGE */
:root{
/* COLORS */

  --primary-red:#ff2b2b;
  --bg-black:#000;
  --text-light:#dddddd;
  --bg-light:#f2f2f2;

  /* FONTS */

  --font-heading:'Roboto', sans-serif;
  --font-body:'Open Sans', sans-serif;

  /* TYPOGRAPHY SCALE */

  --hero-title:
clamp(54px, 7vw, 84px);

--section-title:
clamp(40px, 5vw, 64px);

--card-title:
clamp(24px, 2.5vw, 34px);

--body-large:
clamp(18px, 1.8vw, 22px);

--body-text:
clamp(16px, 1.3vw, 18px);

}



*{
  margin:0;
  padding:0;
  box-sizing:border-box;
}
body{
  margin:0;
font-family:var(--font-body);
background-color: black;
overflow-x:hidden;
}

html{
  overflow-x:hidden;
}

h1,
h2,
h3,
.logo,
.quote-btn{

  font-family:var(--font-heading);
}
.hero-section{

  min-height:100vh;

  background:
  linear-gradient(
    90deg,
    rgba(0,0,0,.95) 0%,
    rgba(0,0,0,.85) 35%,
    rgba(0,0,0,.45) 100%
  ),
  url('images/frozen-yoghurt.webp');

  background-size:cover;

 background-position: 90% center;

  color:var(--bg-light);

  padding:0 60px 60px 60px;
  padding-top:140px;

}

/* NAVBAR */

.navbar{

  display:flex;

  justify-content:space-between;

  align-items:center;

  position:fixed;

  top:0;

  left:0;

  width:100%;

  z-index:9999;

  padding:18px 90px;

  transition:0.4s ease;
  background-color: var(--bg-black);

}

.logo img{
  width:130px;
}

.nav-links{

  display:flex;
  gap:40px;

}

.nav-links a{

  color:var(--text-light);

  text-decoration:none;

  font-size:18px;

  transition:0.3s;

  position:relative;

  padding-bottom:6px;

  display:inline-block;

}
.nav-links a.active{
  color:var(--primary-red);
}

.nav-links a.active::after{
  width:100%;
}

.nav-links a:hover{
  color:var(--primary-red);
}
/* RED LINE */

.nav-links a::after{

  content:"";

  position:absolute;

  left:0;

  bottom:0;

  width:0%;

  height:3px;

  background:var(--primary-red);

  transition:0.3s ease;

}

/* SHOW LINE */

.nav-links a:hover::after{

  width:100%;

}
/* BUTTON */

.quote-btn{

  background:var(--primary-red);
  color:var(--text-light);

  text-decoration:none;

  padding:16px 28px;

  font-weight:700;
  height: 30px;
  display: flex;
  align-items: center;
  justify-content: center;

}

.quote-btn:hover{

  background:var(--bg-light);

  color:var(--bg-black);


}
/* HAMBURGER */

    .hamburger{

    display:none;

    flex-direction:column;

    gap:6px;

    cursor:pointer;

    }

    .hamburger span{

    width:30px;

    height:3px;

    background:var(--bg-light);

    border-radius:10px;

    }

.navbar.scrolled{

  background:rgba(0,0,0,0.95);

  backdrop-filter:blur(10px);

  box-shadow:0 5px 20px rgba(0,0,0,0.4);

}

.navbar.hide{

  transform:translateY(-120%);

}
/* DROPDOWN */

.dropdown{

  position:relative;

}

/* PROJECTS LINK */

.dropdown-link{

  display:flex;

  align-items:center;

  gap:8px;

}

/* DROPDOWN MENU */

.dropdown-menu{

  position:absolute;

  top:140%;

  left:0;

  background:var(--bg-black);

  min-width:240px;

  padding:15px 0;

  border:1px solid rgba(255,255,255,0.1);

  opacity:0;

  visibility:hidden;

  transform:translateY(10px);

  transition:0.3s ease;

  z-index:999;

}

/* DROPDOWN LINKS */

.dropdown-menu a{

  display:block;

  padding:14px 22px;

  color:var(--text-light);

  text-decoration:none;

  font-size:16px;

  transition:0.3s ease;

}

/* HOVER EFFECT */

.dropdown-menu a:hover{

  background:var(--primary-red);

  color:var(--text-light);

}

/* SHOW MENU */

.dropdown:hover .dropdown-menu{

  opacity:1;

  visibility:visible;

  transform:translateY(0);

}

/* HERO CONTENT */

.hero-content{

 margin-top:50px;
  max-width:900px;
padding-top:5px;
margin-left: 20px;
 position:relative;
  z-index:2;
}

.hero-top-text{

  color:var(--primary-red);

  font-size:28px;
  font-weight:700;

  margin-bottom:30px;

}

.hero-content h1{

  font-size:var(--hero-title);
  line-height:0.95;

  font-weight:900;

  margin-bottom:30px;

  

}

.hero-content h1 span{
  color:var(--primary-red);
}

.hero-description{

  font-size:var(--body-large);
  line-height:1.6;

  color:var(--text-light);

  margin-bottom:50px;

  max-width:650px;

}

/* HERO BUTTONS */

.hero-buttons{

  display:flex;
  gap:30px;

  margin-bottom:60px;

}

.primary-btn{

  background:var(--primary-red);
  color:var(--text-light);

  padding:22px 42px;

  text-decoration:none;
  font-weight:700;

}
.primary-btn:hover{

 background:var(--bg-light);

  color:var(--bg-black);


}

.secondary-btn{

  border:2px solid var(--bg-light);
  color:var(--text-light);

  padding:22px 42px;

  text-decoration:none;
  font-weight:700;
  display:flex;
  align-items:center;
  gap:12px;


}

.secondary-btn:hover{

  background:var(--bg-light);

  color:var(--bg-black);

}
.contact-divider{
  width:100%;
  max-width:700px;
  height:1px;
  background:rgba(255,255,255,0.15);
  margin:35px 0;
}
/* FEATURES */

.hero-features{

  display:flex;
  gap:25px;
  flex-wrap:wrap;

  color:var(--text-light);

  font-size:20px;
  margin-top: 20px;
    padding-top: 10px;
    font-weight: 600;


}

.feature-item{

  display:flex;
  align-items:center;
  gap:12px;
position:relative;

  padding-left:25px;
}

.feature-item i{
  color:var(--primary-red);
}
.feature-item:first-child{
  padding-left:0;
}
.feature-item:not(:first-child)::before{

  content:"";

  position:absolute;

  left:0;
  top:50%;

  transform:translateY(-50%);

  width:1px;
  height:35px;

  background:rgba(255,255,255,0.25);

}

/* ========================= */
/* SERVICES SECTION */
/* ========================= */

.services-section{

  background:#f3f3f3;

  padding:100px 60px;

}

/* TITLE */

.services-title{

  text-align:center;

  color:var(--primary-red);

  font-size:var(--section-title);

  font-weight:900;

  margin-bottom:20px;

}

.services-subtitle{

  text-align:center;

  font-size:24px;

  font-weight:700;

  margin-bottom:70px;

}

/* CATEGORY */

.category-title{

  width:420px;

  background:black;

  color:white;

  margin:80px auto 50px auto;

  text-align:center;

  padding:18px;

  font-weight:700;

  letter-spacing:1px;

}

/* GRID */

.services-grid{

  display:grid;

  grid-template-columns:
  repeat(3, 1fr);

  gap:50px;

  margin-bottom:30px;

}

/* CARD */

.service-card{

  text-align:center;

}

/* IMAGE */

.service-card img{

  width:100%;

  height:210px;

  object-fit:cover;

  transition:0.4s;

}

/* HOVER */

.service-card:hover img{

  transform:scale(1.03);

}

/* TITLE */

.service-card h3{

  margin-top:15px;

  font-size:24px;

  font-weight:700;

}

.center-card{

  grid-column:2;

}

/* ========================= */
/* FEATURED PROJECTS */
/* ========================= */

.projects-section{

  background:var(--bg-black);

  padding:120px 60px;

}

/* TOP */

.projects-top{

  display:flex;

  justify-content:space-between;

  align-items:center;

  margin-bottom:70px;

}

/* SMALL TITLE */

.projects-small-title{

  color:var(--primary-red);

  font-size:28px;

  font-weight:700;

  margin-bottom:15px;

}

/* MAIN TITLE */

.projects-title{

  color:white;

  font-size:var(--section-title);

  font-weight:900;

  line-height:1;

}

/* BUTTON */

.projects-btn{

  border:2px solid white;

  color:var(--bg-light);

  text-decoration:none;

  padding:20px 40px;

  font-weight:700;

  transition:0.3s;

}

.projects-btn:hover{

  background:var(--bg-light);

  color:var(--bg-black);

}

/* GRID */

.projects-grid{

  display:grid;

  grid-template-columns:
  repeat(3, 1fr);

  gap:40px;

}

/* CARD */

.project-card{

  overflow:hidden;

  background:var(--bg-black);

}

/* IMAGE */

.project-card img{

  width:100%;

  height:320px;

  object-fit:cover;

  transition:0.4s;

}

/* HOVER */

.project-card:hover img{

  transform:scale(1.05);

  opacity:0.8;

}

/* ===================================
   TESTIMONIAL SECTION
=================================== */

.testimonials-section{

  background: var(--bg-black);

  padding:120px 8%;

  text-align:center;

}

/* HEADER */

.testimonial-tag{

  color:var(--primary-red);

   font-size:var(--body-large);

  font-weight:700;

  margin-bottom:15px;

}

.testimonial-title{

  font-size:var(--section-title);

  font-weight:900;

  color:var(--text-light);

  line-height:1.1;

  margin-bottom:25px;

  text-transform:uppercase;

}

.testimonial-title span{

  display:block;

  color:var(--primary-red);

}

.testimonial-description{

  max-width:700px;

  margin:0 auto 50px;

  color:#d0d0d0;

  font-size:var(--body-large);

  line-height:1.8;

}

/* TRUST BAR */

.trust-bar{

  display:grid;

  grid-template-columns:repeat(4,1fr);

  gap:30px;

  margin-bottom:70px;

}

.trust-item{

  display:flex;

  align-items:center;

  justify-content:center;

  gap:15px;

  color:var(--text-light);
  position:relative;

}

.trust-item:not(:last-child)::after{

  content:"";

  position:absolute;

  right:-15px;

  top:50%;

  transform:translateY(-50%);

  width:1px;

  height:60px;

  background:rgba(255,255,255,0.25);

}

.trust-item i{

  color:var(--primary-red);

  font-size:2rem;

}

.trust-item strong{

  display:block;

  font-size:var(--body-text);

}

.trust-item p{

  color:#cfcfcf;

 font-size:14px;

}

/* GRID */

.testimonial-grid{

  display:grid;

  grid-template-columns:repeat(3,1fr);

  gap:30px;

}

/* CARD */

.testimonial-card{

  background:#111;

  border:1px solid rgba(255,255,255,0.08);

  border-radius:15px;

  overflow:hidden;

  transition:.3s ease;

}

.testimonial-card:hover{

  transform:translateY(-8px);

}

.testimonial-card img{

  width:100%;

  height:230px;

  object-fit:cover;

}

.testimonial-content{

  padding:30px;

}

/* STARS */

.stars{

  color:var(--primary-red);

  font-size:1.5rem;

  margin-bottom:20px;

}

/* REVIEW */

.review{

   color:var(--text-light);

  line-height:1.8;

  font-style:italic;

  margin-bottom:25px;
font-size:var(--body-text);
}

/* DIVIDER */

.testimonial-divider{

  width:50px;

  height:2px;

  background:var(--primary-red);

  margin:0 auto 20px;

}

/* CLIENT */

.testimonial-content h4{

  color:var(--text-light);

  font-size:var(--body-text);

  margin-bottom:5px;

}

.testimonial-content span{

  color:#bdbdbd;

 font-size:14px;

}

/* BUTTON */

.testimonial-btn{

  display:inline-block;

  margin-top:60px;

  border:2px solid var(--bg-light);

  color:var(--text-light);

  text-decoration:none;

  padding:18px 50px;

  font-weight:700;

  transition:.3s ease;

}

.testimonial-btn:hover{

 background:var(--bg-light);

  color:var(--bg-black);

}


/* ========================= */
/* MEMORIAL SECTION */
/* ========================= */

.engraving-section{

  min-height:650px;

  background:
  linear-gradient(
    to right,
    rgba(0,0,0,0.95) 35%,
    rgba(0,0,0,0.75) 60%,
    rgba(0,0,0,0.2) 100%
  ),
  url("images/memorial-main.webp");

  background-size:cover;

  background-position:center right;

  display:flex;

  align-items:center;

  padding-left:80px;

}

/* CONTENT */

.engraving-overlay{

  max-width:900px;

}

/* SMALL TITLE */

.engraving-small-title{

  color:var(--primary-red);

  font-size:34px;

  font-weight:900;

  margin-bottom:20px;

}

/* MAIN TITLE */

.engraving-title{

  color:var(--text-light);

  font-size:var(--section-title);

  line-height:0.9;

  font-weight:900;

  font-style:italic;

  margin-bottom:40px;

}
.engraving-title span{
  color:var(--primary-red);
}

/* DESCRIPTION */

.engraving-description{

  color:var(--text-light);

  font-size:var(--body-large);

  line-height:1.6;

  max-width:700px;

  margin-bottom:50px;

}

/* BUTTON */

.engraving-btn{

  display:inline-block;

  background:var(--primary-red);

  color:var(--text-light);

  text-decoration:none;

  padding:24px 42px;

  font-size:var(--body-large);

  font-weight:700;

}
/* BUTTON WRAPPER */

.engraving-buttons{

  display:flex;

  gap:20px;

  flex-wrap:wrap;

}

/* PRIMARY BUTTON */

.engraving-btn.primary{

  background:var(--primary-red);

  color:var(--text-light);

}

.engraving-btn.primary:hover{

  background:var(--bg-light);

  color:var(--bg-black);

}

/* SECONDARY BUTTON */

.engraving-btn.secondary{

  background:transparent;

  border:2px solid var(--text-light);

  color:var(--text-light);

}

.engraving-btn.secondary:hover{

 background:var(--bg-light);

  color:var(--bg-black);

}
/* ========================= */
/* HOW IT WORKS */
/* ========================= */

.process-section{

  background:var(--bg-light);

  padding:100px 80px;
}

/* TITLE */

.process-title{

  text-align:center;

  color:var(--primary-red);

  font-size:44px;

  font-weight:900;

  margin-bottom:90px;
}

/* GRID */

.process-grid{

  display:grid;

  grid-template-columns:
  repeat(2, 1fr);

  gap:80px 120px;

  max-width:1400px;

  margin:auto;

}

/* CARD */

.process-card{

  display:flex;

  align-items:flex-start;

  gap:35px;

}

/* ICON SIDE */

.process-icon-box{

  position:relative;

}

/* NUMBER */

.process-number{

  position:absolute;

  top:-60px;

  left:50%;

  transform:translateX(-50%);

  color:var(--primary-red);

  font-size:40px;

  font-weight:900;

}

/* BLACK CIRCLE */

.process-icon-circle{

  width:170px;

  height:170px;

  background:var(--bg-black);

  border-radius:50%;

  display:flex;

  justify-content:center;

  align-items:center;

}

/* ICON */

.process-icon-circle i{

  color:white;

  font-size:75px;

}

/* TEXT */

.process-text h3{

  font-size:35px;

  line-height:1.1;

  font-weight:900;

  margin-bottom:20px;

}

.process-text p{

  font-size:var(--body-large);

  line-height:1.5;

  color:var(--bg-black);

}

/* ========================= */
/* ABOUT US */
/* ========================= */

.about-section{

  display:grid;

  grid-template-columns:
  1.5fr 1fr;

  min-height:1200px;

  background:var(--bg-black);

}

/* LEFT */

.about-left{

  padding:80px 70px;

  display:flex;

  flex-direction:column;

  justify-content:flex-start;

}

/* SMALL TITLE */

.about-small-title{

  color:var(--primary-red);

  font-size:34px;

  font-weight:900;

  margin-bottom:40px;

}

/* MAIN TITLE */

.about-title{

  color:var(--text-light);

  font-size:var(--section-title);

  line-height:1.15;

  font-weight:900;

  margin-bottom:40px;

}
.about-title span{
  color:var(--primary-red)
}

/* DESCRIPTION */

.about-description{

  color:var(--text-light);

  font-size:var(--body-large);

  line-height:1.6;

  margin-bottom:50px;

}

/* BUTTON */

.about-btn{

  display:inline-block;

  width:fit-content;

  padding:24px 40px;

  border:3px solid var(--primary-red);

  color:var(--primary-red);

  text-decoration:none;

  font-size:var(--body-large);

  font-weight:700;

  margin-bottom:80px;

  transition:0.3s;

}

.about-btn:hover{

  background:var(--primary-red);

  color:var(--text-light);

}

/* FEATURES */

.about-features{

  display:flex;

  flex-direction:column;

  gap:45px;

}

/* ITEM */

.about-feature-item{

  display:flex;

  align-items:flex-start;

  gap:30px;

}

/* RED CIRCLE */

.about-icon-circle{

  width:120px;

  height:120px;

  min-width:120px;

  background:#7d1010;

  border-radius:50%;

  display:flex;

  justify-content:center;

  align-items:center;

}

/* ICON */

.about-icon-circle i{

  color:var(--primary-red);

  font-size:55px;

}

/* FEATURE TITLE */

.about-feature-item h3{

  color:var(--text-light);

  font-size:34px;

  font-weight:900;

  margin-bottom:10px;

}

/* FEATURE TEXT */

.about-feature-item p{

  color:var(--text-light);

  font-size:var(--body-large);

  line-height:1.5;

}

/* RIGHT IMAGE */

.about-right{

  background-image:
  linear-gradient(
  to left,
  rgba(0,0,0,.2),
  rgba(0,0,0,.55),
  rgba(0,0,0,.95)
  ),
  url("images/about-collage.webp");

  background-size:cover;

  background-position:center;

}


/* MOBILE */

@media(max-width:1000px){

  .about-section{

    grid-template-columns:1fr;

  }

  .about-right{

    min-height:600px;

  }

  .about-left{

    padding:60px 30px;

  }

  .about-title{

    font-size:56px;

  }

  .about-description{

   font-size:var(--body-large);

  }

  .about-feature-item h3{

    font-size:28px;

  }

  .about-feature-item p{

    font-size:20px;

  }

}
/* ========================= */
/* LIVE MAP SECTION */
/* ========================= */

.map-section{

  background:var(--bg-light);

  padding:80px 70px;

}

/* MAP BOX */

.map-container{

  width:100%;

  height:650px;

  overflow:hidden;

}

/* IFRAME */

.map-container iframe{

  width:100%;

  height:100%;

  display:block;

}

/* MOBILE */

@media(max-width:1000px){

  .map-section{

    padding:40px 20px;

  }

  .map-container{

    height:450px;

  }

}
/* ========================= */
/* FOOTER CONTACT SECTION */
/* ========================= */

.footer-contact{

  background:var(--bg-black);

  padding:80px 70px 20px;

}

/* CONTAINER */

.footer-container{

  display:grid;

  grid-template-columns:
  1fr 1fr;

  gap:80px;

}

/* SMALL TITLE */

.footer-small-title{

  color:var(--primary-red);

  font-size:34px;

  font-weight:900;

  margin-bottom:40px;

}

/* BIG TITLE */

.footer-title{

  color:white;

 font-size:var(--section-title);

  line-height:1.15;

  font-weight:900;

  margin-bottom:20px;

}
.footer-title span{
  color:var(--primary-red);
}

/* LOGO */

.footer-logo{

  width:260px;

  margin-bottom:0px;

}
/* DESCRIPTION */

.footer-description{

  color:var(--text-light);

  font-size:var(--body-large);

  line-height:1.7;

  max-width:700px;
  margin-top:40px;

}
.footer-left{

  display:flex;

  flex-direction:column;

  justify-content:flex-start;

  align-self:start;

}

/* RIGHT TEXT */

.footer-text{

  color:var(--text-light);

  font-size:var(--body-large);

  margin-bottom:40px;

}

/* MESSENGER BUTTON */

.messenger-btn{

  display:inline-flex;

  align-items:center;

  gap:15px;

  background:var(--primary-red);

  color:var(--text-light);

  text-decoration:none;

  padding:22px 32px;

  font-size:var(--body-large);

  font-weight:700;

  margin-bottom:50px;

  transition:0.3s;

}

.messenger-btn:hover{

  background:var(--bg-light);

  color:var(--bg-black);

}

/* CONTACT LIST */

.footer-contact-list{

  display:flex;

  flex-direction:column;

  gap:35px;

}

/* ITEM */

.footer-contact-item{

  display:flex;

  align-items:center;

  gap:25px;

}

/* ICON CIRCLE */

.footer-icon-circle{

  width:85px;

  height:85px;

  min-width:85px;

  border-radius:50%;

  background:var(--primary-red);

  display:flex;

  justify-content:center;

  align-items:center;

}

/* ICON */

.footer-icon-circle i{

  color:var(--text-light);

  font-size:38px;

}

/* TEXT */

.footer-contact-item p{

  color:var(--text-light);

  font-size:var(--body-large);

  line-height:1.5;

}

/* COPYRIGHT */

.footer-bottom{

  text-align:center;

  color:#bbbbbb;

  font-size:16px;

  margin-top:80px;

}

/* MOBILE */

@media(max-width:1000px){

  .footer-container{

    grid-template-columns:1fr;

    gap:60px;

  }

  .footer-contact{

    padding:60px 25px 20px;

  }

  .footer-title{

    font-size:56px;

  }

  .footer-description{

    font-size:var(--body-large);

  }

  .footer-text{

   font-size:var(--body-large);

  }

  .footer-contact-item p{

    font-size:var(--body-large);

  }

  .messenger-btn{

    font-size:var(--body-text);

    padding:18px 24px;

  }

}
/* ========================= */
/* FADE IN ANIMATION */
/* ========================= */

.fade-in{

  opacity:0;

  transform:translateY(40px);

  transition:
  opacity 0.9s ease,
  transform 0.9s ease;

}

/* ACTIVE */

.fade-in.show{

  opacity:1;

  transform:translateY(0);

}

/* FLOATING WHATSAPP */

.floating-whatsapp{

  position:fixed;

  bottom:30px;
  right:30px;

  width:70px;
  height:70px;

  border-radius:50%;

  background:#25D366;

  display:flex;
  justify-content:center;
  align-items:center;

  text-decoration:none;

  z-index:9999;

  box-shadow:
  0 10px 25px rgba(0,0,0,.3);

  transition:.3s ease;

    animation:
  whatsappPulse 2s infinite;

}

.floating-whatsapp i{

  color:white;

  font-size:38px;

}

.floating-whatsapp:hover{

  transform:translateY(-4px) scale(1.05);

}

.wa-tooltip{

  position:absolute;

  right:85px;

  background:#fff;

  color:#000;

  padding:10px 14px;

  border-radius:8px;

  white-space:nowrap;

  font-size:14px;

  font-weight:700;

  opacity:0;

  transition:.3s;

}

.floating-whatsapp:hover .wa-tooltip{

  opacity:1;

}

@keyframes whatsappPulse{

  0%{

    box-shadow:
    0 0 0 0 rgba(37,211,102,.7);

  }

  70%{

    box-shadow:
    0 0 0 20px rgba(37,211,102,0);

  }

  100%{

    box-shadow:
    0 0 0 0 rgba(37,211,102,0);

  }

}
/* ===================================
   GLOBAL TABLET RESPONSIVE
=================================== */

@media(max-width:1200px){

  .navbar{

    padding:18px 40px;

  }

  .nav-links{

    gap:25px;

  }

  .nav-links a{

    font-size:16px;

  }

  .quote-btn{

    padding:14px 22px;

    font-size:14px;

  }

  .logo img{

    width:110px;

  }

}

@media(max-width:1024px){

  /* GLOBAL */

  body{
    overflow-x:hidden;
  }

  section{
    overflow:hidden;
  }

  /* NAVBAR */

  .navbar{

    padding:18px 40px;
  }

  .logo img{

    width:120px;
  }

  .nav-links{

    gap:22px;
  }

  .nav-links a{

    font-size:15px;
  }

  /* HERO SECTION */

  .hero-section{

    min-height:85vh;

    padding:
    140px 45px
    90px;

    background-position:center;
  }

  .hero-content{

    margin-left:0;
    margin-top:20px;

    max-width:780px;
  }

  .hero-top-text{

    font-size:24px;

    margin-bottom:25px;
  }

  .hero-content h1{

    font-size:68px;

    line-height:0.95;

    margin-bottom:28px;
  }

  .hero-description{

    font-size:20px;

    max-width:620px;

    line-height:1.6;
  }

  /* HERO BUTTONS */

  .hero-buttons{

    gap:20px;

    margin-bottom:45px;
  }

  .primary-btn,
  .secondary-btn{

    padding:20px 32px;

    font-size:16px;
  }

  /* FEATURES */

  .hero-features{
       display:grid;

     grid-template-columns:
  1fr 1fr;
     

      gap:25px;
    max-width:700px;
  }
  .feature-item{

    padding-left:0;

  

  }

.feature-item::before{

  display: none;

}
.feature-item{

    display:flex;
  align-items:center;
  gap:12px;

}
.feature-item i{

  width:24px;
  text-align:center;

}

  /* SERVICES */

  .services-section{

    padding:85px 40px;
  }

  .services-title{

    font-size:52px;
  }

  .services-subtitle{

    font-size:20px;

    margin-bottom:55px;
  }

  .category-title{

    width:340px;

    font-size:var(--body-text);

    margin:
    65px auto 40px auto;
  }

  .services-grid{

    grid-template-columns:
    repeat(2, 1fr);

    gap:35px;
  }

  .service-card img{

    height:230px;
  }

  .service-card h3{

   font-size:var(--card-title);
  }

  .center-card{

    grid-column:auto;
  }

  /* PROJECTS */

  .projects-section{

    padding:90px 40px;
  }

  .projects-top{

    gap:25px;

    margin-bottom:50px;
  }

  .projects-small-title{

    font-size:var(--body-large);
  }

  .projects-title{

    font-size:58px;
  }

  .projects-btn{

    padding:18px 28px;

    font-size:15px;
  }

  .projects-grid{

    grid-template-columns:
    repeat(2, 1fr);

    gap:28px;
  }

  .project-card img{

    height:260px;
  }

/* TESTIMONIALS */
.testimonial-grid{

    grid-template-columns:repeat(2,1fr);

  }

  .trust-bar{

    grid-template-columns:repeat(2,1fr);
     gap:25px;
    max-width:700px;
    margin:0 auto 70px;

  }
   .trust-item{

    justify-content:flex-start;
    text-align:left;

    padding:20px;

    border:1px solid rgba(255,255,255,.08);

    border-radius:10px;

    background:rgba(255,255,255,.03);

  }

  .trust-item::after{
    display:none;
  }

  /* ENGRAVING */

  .engraving-section{

    min-height:550px;

    padding-left:45px;

    background-position:center;
  }

  .engraving-overlay{

    max-width:700px;
  }

  .engraving-small-title{

    font-size:24px;
  }

  .engraving-title{

    font-size:66px;
  }

  .engraving-description{

    font-size:20px;

    max-width:600px;
  }

  .engraving-btn{

    padding:20px 34px;

    font-size:var(--body-text);
  }

  /* PROCESS */

  .process-section{

    padding:90px 45px;
  }

  .process-title{

    font-size:52px;

    margin-bottom:75px;
  }

  .process-grid{

    gap:60px;
  }

  .process-card{

    gap:25px;
  }

  .process-icon-circle{

    width:130px;

    height:130px;
  }

  .process-icon-circle i{

    font-size:58px;
  }

  .process-number{

    font-size:32px;

    top:-48px;
  }

  .process-text h3{

    font-size:var(--card-title);
  }

  .process-text p{

    font-size:var(--body-text);

    line-height:1.6;
  }

  /* ABOUT */

  .about-section{

    grid-template-columns:1fr;
  }

  .about-left{

    padding:85px 45px;
  }

  .about-right{

    min-height:700px;
  }

  .about-small-title{

    font-size:24px;
  }

  .about-title{

    font-size:66px;
  }

  .about-description{

    font-size:20px;

    max-width:760px;
  }

  .about-btn{

    font-size:var(--body-text);

    padding:20px 34px;
  }

  .about-features{

    gap:35px;
  }

  .about-feature-item{

    gap:24px;
  }

  .about-icon-circle{

    width:95px;
    height:95px;
    min-width:95px;
  }

  .about-icon-circle i{

    font-size:42px;
  }

  .about-feature-item h3{

    font-size:var(--card-title);
  }

  .about-feature-item p{

    font-size:var(--body-text);
  }

  /* MAP */

  .map-section{

    padding:60px 40px;
  }

  .map-container{

    height:500px;
  }

  /* FOOTER */

  .footer-contact{

    padding:80px 40px 25px;
  }

  .footer-container{

    grid-template-columns:1fr;

    gap:60px;
  }

  .footer-small-title{

    font-size:24px;
  }

  .footer-title{

    font-size:62px;
  }

  .footer-logo{

    width:230px;
  }

  .footer-description{

    font-size:20px;

    max-width:700px;
  }

  .footer-text{

    font-size:20px;
  }

  .messenger-btn{

    font-size:var(--body-text);

    padding:20px 28px;
  }

  .footer-contact-list{

    gap:28px;
  }

  .footer-contact-item{

    gap:20px;
  }

  .footer-icon-circle{

    width:75px;
    height:75px;
    min-width:75px;
  }

  .footer-icon-circle i{

    font-size:30px;
  }

  .footer-contact-item p{

    font-size:var(--body-text);
  }

  .footer-bottom{

    margin-top:60px;

    font-size:15px;
  }

}

/* ===================================== */
/* TRUE MOBILE RESPONSIVE FIXES */
/* ===================================== */

@media(max-width:1000px){

  .process-grid{

    grid-template-columns:1fr;

  }

  .process-card{

    flex-direction:column;

    align-items:center;

    text-align:center;

  }

  .process-text h3{

    font-size:40px;

  }

  .process-text p{

    font-size:var(--body-large);

  }

}

@media(max-width:900px){

  .nav-links{

    position:absolute;

    top:100px;

    right:0;

    background:var(--bg-black);

    width:100%;

    flex-direction:column;

    align-items:center;

    padding:40px 0;

    gap:30px;

    display:none;

  }

  .nav-links.active{

    display:flex;

  }

  .hamburger{

    display:flex;

  }

  .quote-btn{

    display:none;

  }

}

@media(max-width:768px){

  /* GLOBAL */

  body{
    overflow-x:hidden;
  }

  section{
    overflow:hidden;
  }
  
 /* NAVBAR */

  .navbar{

    padding:18px 22px;

  }

  .logo img{

    width:110px;

  }

  /* HERO */

  .hero-section{

    padding:
    120px 25px 70px;

    background-position:center;
  }

  .hero-content{

    
    margin-top:20px;
  }

  .hero-top-text{

    font-size:20px;
    line-height:1.4;
  }

  .hero-content h1{

    font-size:58px;
    line-height:0.95;
  }

  .hero-description{

    font-size:var(--body-text);
    line-height:1.6;
  }

  /* HERO BUTTONS */

  .hero-buttons{

    flex-direction:column;
    gap:15px;
  }

  .primary-btn,
  .secondary-btn{

    width:auto;
    min-width:260px;
     max-width:320px;
    justify-content:center;
    text-align:center;

    padding:18px;
  }
.contact-divider{
    margin:30px 0;
  }
  /* HERO FEATURES */

  .hero-features{
 display:flex;
    flex-direction:column;
    align-items:flex-start;
    gap:18px;

   font-size:var(--body-text);
  }
  .feature-item{

    padding-left:0;

  }

  /* SERVICES */

  .services-section{

    padding:70px 25px;
  }

  .services-title{

    font-size:52px;
    line-height:1;
  }

  .services-subtitle{

    font-size:16px;
    line-height:1.6;
  }

  .category-title{

    width:100%;
    font-size:20px;
  }

  .services-grid{

    grid-template-columns:1fr;
    gap:35px;
  }

  .service-card img{

    height:auto;
    aspect-ratio:4/3;
  }

  .service-card h3{

    font-size:20px;
    line-height:1.3;
  }

  .center-card{

    grid-column:auto;
  }

  /* PROJECTS */

  .projects-section{

    padding:80px 25px;
  }

  .projects-title{

    font-size:48px;
    line-height:1;
  }

  .projects-small-title{

    font-size:20px;
  }

  .projects-btn{

    width:100%;
    text-align:center;
  }

  .project-card img{

    height:auto;
    aspect-ratio:4/3;
  }
/* TESTIMONIALS */
.testimonials-section{

    padding:80px 24px;

  }

  .testimonial-title{

    font-size:2.6rem;

  }

  .testimonial-grid{

    grid-template-columns:1fr;

  }

  .trust-bar{

    grid-template-columns:1fr;

    max-width:320px;

    margin:0 auto 50px;

    gap:18px;

  }
  .trust-item{

    justify-content:flex-start;
    text-align:left;

    padding:18px 20px;

    border:1px solid rgba(255,255,255,.08);

    border-radius:10px;

    background:rgba(255,255,255,.03);

  }
  .trust-item i{

    font-size:2rem;

    min-width:40px;

  }
   .trust-item strong{

    font-size:1.3rem;

  }

  .testimonial-card img{

    height:220px;

  }
  .trust-item::after{
    display:none;
  }
  /* ENGRAVING */

  .engraving-section{

    padding:80px 25px;
    background-position:center;
  }

  .engraving-small-title{

    font-size:20px;
    line-height:1.5;
  }

  .engraving-title{

    font-size:56px;
    line-height:0.95;
  }

  .engraving-description{

    font-size:var(--body-text);
  }

  .engraving-btn{

    width:auto;
    min-width:260px;
     max-width:320px;
    text-align:center;
    padding:20px;
    font-size:var(--body-text);
  }
.engraving-buttons{

  flex-direction:column;

  align-items:flex-start;

  width:100%;

}

.engraving-btn{

  width:100%;

  max-width:320px;

  text-align:center;

}
  /* PROCESS */

  .process-section{

    padding:80px 25px;
  }

  .process-title{

    font-size:52px;
    line-height:1;
    margin-bottom:70px;
  }

  .process-grid{

    gap:70px;
  }

  .process-icon-circle{

    width:140px;
    height:140px;
  }

  .process-icon-circle i{

    font-size:55px;
  }

  .process-number{

    font-size:34px;
  }

  .process-text h3{

    font-size:30px;
  }

  .process-text p{

    font-size:var(--body-text);
    line-height:1.6;
  }

  /* ABOUT */

  .about-left{

    padding:80px 25px;
  }

  .about-small-title{

    font-size:20px;
  }

  .about-title{

    font-size:54px;
    line-height:1;
  }

  .about-description{

    font-size:var(--body-text);
  }

  .about-btn{

    width:auto;
    min-width:260px;
     max-width:320px;
    text-align:center;
    font-size:var(--body-text);
  }

  .about-feature-item{

    flex-direction:column;
    align-items:flex-start;
    gap:20px;
  }

  .about-icon-circle{

    width:90px;
    height:90px;
    min-width:90px;
  }

  .about-icon-circle i{

    font-size:38px;
  }

  .about-feature-item h3{

    font-size:24px;
  }

  .about-feature-item p{

    font-size:17px;
  }

  .about-right{

    min-height:400px;
    background-position:center;
  }

  /* MAP */

  .map-section{

    padding:40px 20px;
  }

  .map-container{

    height:350px;
  }

  /* FOOTER */

  .footer-contact{

    padding:80px 25px 30px;
  }

  .footer-small-title{

    font-size:20px;
  }

  .footer-title{

    font-size:54px;
    line-height:1;
  }

  .footer-logo{

    width:220px;
  }

  .footer-description{

    font-size:var(--body-text);
  }

  .footer-text{

    font-size:var(--body-text);
  }

  .messenger-btn{

    width:auto;
    min-width:260px;
     max-width:320px;
    justify-content:center;
    text-align:center;
    font-size:17px;
    

    padding:18px;
  }

  .footer-contact-item{

    align-items:flex-start;
    gap:18px;
  }

  .footer-icon-circle{

    width:70px;
    height:70px;
    min-width:70px;
  }

  .footer-icon-circle i{

    font-size:28px;
  }

  .footer-contact-item p{

    font-size:17px;
    line-height:1.5;

    word-break:break-word;
  }

  .footer-bottom{

    font-size:14px;
    line-height:1.6;
  }

  .floating-whatsapp{

    width:60px;
    height:60px;

    right:20px;
    bottom:20px;

  }

  .floating-whatsapp i{

    font-size:32px;

  }

   .wa-tooltip{
    display:none;
  }

}